Bug 308531 - Scaling with transformation tool effects object's translation.
Summary: Scaling with transformation tool effects object's translation.
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools/Transform (show other bugs)
Version: unspecified
Platform: Microsoft Windows Other
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-17 04:25 UTC by Josh Bell
Modified: 2013-01-13 15:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
OP Delivers. (Screenshot demonstrating bug 308531) (280.54 KB, image/png)
2012-10-27 11:59 UTC, Josh Bell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Josh Bell 2012-10-17 04:25:41 UTC
Krita Version: 2.5.9
Running on Windows 7 64-bit.

Scaling along x-axis seems to cause the selection to move slightly to the right. Likewise, scaling along y-axis seems to cause the selection to move slightly downward. This is most notably visible when scaling by -100%.

Reproducible: Always

Steps to Reproduce:
1. Select an area on a blank canvas.
2. Scale by -100% on either or both axes
3. The selection has now moved either down or to the right depending on which axis you scaled.
4. Repeating step 2 results in more of step 3.
Comment 1 Halla Rempt 2012-10-27 10:18:22 UTC
Hi Josh,

Weird... I don't think I can reproduce this. Could you make screenshots for me?
Comment 2 Josh Bell 2012-10-27 11:59:07 UTC
Created attachment 74827 [details]
OP Delivers. (Screenshot demonstrating bug 308531)

Bug tracking: The webcomic.
It seems anchoring is the main problem. Unless I'm doing things wrong, I expect scaling will be a little less lossy once this is fixed. The last sentence of the image is a little iffy. I'm trying to say, one would expect the result to look identical to the original. Discovered more bugs while creating this image. expect more tickets soon.
Comment 3 Dmitry Kazakov 2013-01-13 15:08:09 UTC
Git commit 80db67dc880f617b67c34792e2256ba93e3c8425 by Dmitry Kazakov.
Committed on 13/01/2013 at 13:16.
Pushed by dkazakov into branch 'krita-fixed-transform-kazakov'.

A bit of splitting to the transform tool

It makes the file about 100 lines smaller and fixes rounding bugs.

M  +1    -0    krita/plugins/tools/tool_transform2/CMakeLists.txt
M  +224  -339  krita/plugins/tools/tool_transform2/kis_tool_transform.cc
M  +18   -36   krita/plugins/tools/tool_transform2/kis_tool_transform.h
A  +219  -0    krita/plugins/tools/tool_transform2/kis_tool_transform_config_widget.cpp     [License: GPL (v2+)]
A  +95   -0    krita/plugins/tools/tool_transform2/kis_tool_transform_config_widget.h     [License: GPL (v2+)]
A  +113  -0    krita/plugins/tools/tool_transform2/transform_transaction_properties.h     [License: GPL (v2+)]

http://commits.kde.org/calligra/80db67dc880f617b67c34792e2256ba93e3c8425